<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://pampa.dev
 * @since      1.0.0
 *
 * @package    Auto_Translate
 * @subpackage Auto_Translate/admin/partials
 */
$data = $vars['tabs']['visual_settings'];
?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<h2><?php _e('Basic Settings', 'auto-translate'); ?></h2>
<div id="google_translate_element" class="<?=$data['wpat_size']?:"small"?> dashicons-before">
    <div class="skiptranslate goog-te-gadget" dir="ltr" style="">
        <div id=":0.targetLanguage" class="goog-te-gadget-simple" style="white-space: nowrap;
            background-image: linear-gradient(135deg, <?=$data['wpat_color_1']?> 0, <?=$data['wpat_color_2']?> 100%);
            border-radius: <?=$data['wpat_border_radius']?>px;
            border:  <?=$data['wpat_border_thickness']?>px solid;
            border-color: <?=$data['wpat_border_color']?>;
        ">
            <img src="https://www.google.com/images/cleardot.gif" class="goog-te-gadget-icon" alt="" style="background-image: url(&quot;https://translate.googleapis.com/translate_static/img/te_ctrl3.gif&quot;); background-position: -65px 0px;">
            <span style="vertical-align: middle;">
                <a aria-haspopup="true" class="goog-te-menu-value <?=$data['wpat_button_icon']?>" href="javascript:void(0)" style="
                    color: <?=$data['wpat_font_color']?>;
                ">
                    <span><?php _e('Select Language', 'auto-translate');?></span>
                    <img src="https://www.google.com/images/cleardot.gif" alt="" width="1" height="1">
                    <span style="border-left: 1px solid rgb(187, 187, 187);">&#8203;</span>
                    <img src="https://www.google.com/images/cleardot.gif" alt="" width="1" height="1">
                    <span aria-hidden="true" style="color: rgb(118, 118, 118);">▼</span>
                </a>
            </span>
        </div>
    </div>
</div>



<table class="form-table">
    <tr valign="top">
        <th scope="row">
            <?php _e('Icon', 'auto-translate'); ?><br/>
            <small><?php _e('This is the icon used on the front-end button.','auto-translate'); ?></small>
        </th>
        <td colspan="<?=$data['columns']?>">
            <?php
            /*
                * https://github.com/bradvin/dashicons-picker
                */
            ?>
            <input id="button_icon" name="wpat_button_icon" type="hidden" value="<?=$data['wpat_button_icon']?>"/><span id="display-button-icon" class="dashicons <?=$data['wpat_button_icon']?>"></span>
            <input class="button dashicons-picker" type="button" value="<?php _e('Choose Icon', 'auto-translate'); ?>" data-target="#button_icon" data-preview="#display-button-icon" />
        </td>
        <th scope="row">
            <?php _e('Font color', 'auto-translate'); ?><br/>
            <small><?php _e('Button\'s font color.','auto-translate'); ?></small>
        </th>
        <td colspan="<?=$data['columns']?>">
            <input class="color-picker" type="text" id="font_color" name="wpat_font_color" value="<?=$data['wpat_font_color']?>"/>
        </td>
    </tr>
    <tr valign="top">
        <th scope="row">
            <?php _e('Color 1', 'auto-translate'); ?><br/>
            <small><?php _e('Button\'s initial color.','auto-translate'); ?></small>
        </th>
        <td colspan="<?=$data['columns']?>">
            <input class="color-picker" type="text" id="color_1" name="wpat_color_1" value="<?=$data['wpat_color_1']?>"/>
        </td>
        <th scope="row">
            <?php _e('Color 2', 'auto-translate'); ?><br/>
            <small><?php _e('Button\'s last color.','auto-translate'); ?></small>
        </th>
        <td colspan="<?=$data['columns']?>">
            <input class="color-picker" type="text" id="color_2" name="wpat_color_2" value="<?=$data['wpat_color_2']?>"/>
        </td>
    </tr>
    <tr valign="top">
        <th scope="row">
            <?php _e('Border thickness', 'auto-translate'); ?><br/>
            <small><?php _e('Thickness in pixels.','auto-translate'); ?></small>
        </th>
        <td colspan="<?=$data['columns']?>">
            <input type="number" name="wpat_border_thickness" value="<?=$data['wpat_border_thickness']?:0?>"/> px
        </td>
        <th scope="row">
            <?php _e('Border color', 'auto-translate'); ?><br/>
            <small><?php _e('Button\'s border color.','auto-translate'); ?></small>
        </th>
        <td colspan="<?=$data['columns']?>">
            <input class="color-picker" type="text" id="border_color" name="wpat_border_color" value="<?=$data['wpat_border_color']?>"/>
        </td>
    </tr>
    <tr valign="top">
        <th scope="row">
            <?php _e('Rounded corners', 'auto-translate'); ?><br/>
            <small><?php _e('This is the front-end button\'s roundness.','auto-translate'); ?></small>
        </th>
        <td colspan="<?=$data['columns']?>">
            <label for="radius-squared"><?php _e('Squared', 'auto-translate'); ?></label> <input type="radio" id="radius-squared" name="wpat_border_radius" value="0" <?php if( is_null($data['wpat_border_radius']) ||  !($data['wpat_border_radius']) ||  ($data['wpat_border_radius']=="") || $data['wpat_border_radius']=="0"){ echo "checked='checked'"; }; ?>/>
            <label for="radius-rounded"><?php _e('Rounded', 'auto-translate'); ?></label> <input type="radio" id="radius-rounded" name="wpat_border_radius" value="4" <?php if($data['wpat_border_radius']=="4"){ echo "checked='checked'"; }; ?>/>
            <label for="radius-very-rounded"><?php _e('Very rounded', 'auto-translate'); ?></label> <input type="radio" id="radius-very-rounded" name="wpat_border_radius" value="32" <?php if($data['wpat_border_radius']=="32"){ echo "checked='checked'"; }; ?>/>
        </td>
    </tr>
    <tr valign="top">
        <th scope="row">
            <?php _e('Size', 'auto-translate'); ?><br/>
            <small><?php _e('This is the front-end button\'s size.','auto-translate'); ?></small>
        </th>
        <td colspan="<?=$data['columns']?>">
            <label for="size-small"><?php _e('Small', 'auto-translate'); ?></label> <input type="radio" id="size-small" name="wpat_size" value="small" <?php if( is_null($data['wpat_size']) ||  !$data['wpat_size'] ||  ($data['wpat_size']=="") || $data['wpat_size']=="small"){ echo "checked='checked'"; }; ?>/>
            <label for="size-big"><?php _e('Big', 'auto-translate'); ?></label> <input type="radio" id="size-big" name="wpat_size" value="big" <?php if($data['wpat_size']=="big"){ echo "checked='checked'"; }; ?>/>
        </td>
    </tr>


</table>
<h2><?php _e('Advanced Settings', 'auto-translate'); ?></h2>
<table class="form-table">
    <tr valign="top">
        <th scope="row">
            <?php _e('Default Location', 'auto-translate'); ?><br/>
            <small><?php _e('Turn this off if you don\'t want the \'Auto Translate\' button to be displayed on the top left corner.','auto-translate'); ?></small>
        </th>
        <td colspan="<?=$data['columns']?>">
            <label for="default-location-on"><?php _e('On', 'auto-translate'); ?></label> <input type="radio" id="default-location-on" name="wpat_default_location" value=1 <?php if( $data['wpat_default_location'] ){ echo "checked='checked'"; }; ?>/>
            <label for="default-location-off"><?php _e('Off', 'auto-translate'); ?></label> <input type="radio" id="default-location-off" name="wpat_default_location" value=0 <?php if( !$data['wpat_default_location'] ){ echo "checked='checked'"; }; ?>/>
        </td>
        <th scope="row" class="admin-shortcode-wrapper <?=$data['wpat_default_location']?'grayed-out':''?>">
            <?php _e('Shortcode:', 'auto-translate'); ?><br/>
            <small><?php _e('You can only use the shortcode to display the \'Auto Translate\' button if the \'Default Location\' is turned off.'); ?></small>
        </th>
        <td colspan="<?=$data['columns']?>" class="admin-shortcode-wrapper <?=$data['wpat_default_location']?'grayed-out':''?>">
            <code>[auto_translate_button]</code>
        </td>
</table>