<?php

/**
 * Fired during plugin activation
 *
 * @link       https://pampa.dev
 * @since      1.0.0
 *
 * @package    Auto_Translate
 * @subpackage Auto_Translate/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Auto_Translate
 * @subpackage Auto_Translate/includes
 * @author     Pampa Dev <intouch@pampa.dev>
 */
class Auto_Translate_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		$wp_default_lang = explode("-",get_bloginfo("language"))[0];
		add_option('wpat_base_language', $wp_default_lang);
		add_option('wpat_button_icon', 'dashicons-translation');
		add_option('wpat_supported_languages', array('all'));
		add_option('wpat_color_1', '#8649D6');
		add_option('wpat_color_2', '#2791D2');
		add_option('wpat_size', 'small');
		add_option('wpat_border_radius', '4');
		add_option('wpat_border_thickness', 0);
		add_option('wpat_border_color', '#2791D2');
		add_option('wpat_font_color', '#FFFFFF');
		add_option('wpat_default_location', true);
	}

}
